petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDARestoreElements

Restores the array obtained with DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDARestoreElements(DM dm,PetscInt *nel,PetscInt *nen,const PetscInt *e[])

Not Collective

### Input Parameter

| dm | - the DM object
| nel | - number of local elements
| nen | - number of element nodes
| e | - the local indices of the elements' vertices

Note: You should not access these values after you have called this routine.

This restore signals the DMDA object that you no longer need access to the array information.

Not supported in Fortran

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements()

### Level

intermediate

### Location

src/dm/impls/da/dagetelem.c

### Examples

src/dm/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages